﻿body {
    padding: 0;
    margin: 0
}

html, body {
    height: 100%;
    width: 100%;
}

.main-content {
    margin-bottom: 0
}

.ui.form .field.placeholder > label.active {
    top: -8px;
    right: 5px;
    font-size: 12px;
    color: #888;
    background: #fff;
    padding: 0 3px;
    border-radius: 2px;
}

/* Leaflet Map Style */
#mapid {
    width: 100%;
    height: 750px;
    min-height: calc(100% - 120px);
    z-index: 1
}

.marker-cluster-medium div {
    background-color: rgb(255, 0, 252);
}

.marker-cluster-small div {
    background-color: rgba(92, 255, 0, 0.6);
}

.leaflet-popup-content {
    /*font-family: iranyekan*/
}

.leaflet-popup-content {
    width: auto !important;
    min-width: 120px !important;
}

/* Map Property Details */
.map-property-image {
    width: 100px;
    float: left
}

    .map-property-image img {
        width: 100px;
    }

.map-property-info {
    margin-left: 120px;
    min-width: 220px;
    line-height: 180%
}

.map-property-location {
    font-size: 18px;
}

.map-property-price {
    color: #333;
    font-size: 16px;
    margin: 10px 0 5px
}

.map-property-feature {
    color: #808080;
    font-size: 13px
}

a.map-property-link, a.map-property-link:visited {
    color: #e4002b !important;
    display: block;
    text-align: right;
    margin-top: 5px
}

.leaflet-container a.leaflet-popup-close-button {
    top: 5px !important;
    right: 5px !important;
}

/* Filter Style */
.filter-box {
    padding: 20px
}

#filter {
    color: #fff;
    text-align: center;
    padding: 15px;
    font-size: 18px;
    font-weight: bold;
}

.pollSlider {
    z-index: 1000;
    position: fixed;
    height: 100%;
    background: rgba(0,0,0,0.75);
    width: 400px;
    right: 0px;
    top: 0;
    margin-right: -400px;
    overflow-y: auto;
    overflow-x: hidden;
    box-shadow: -3px 0 7px rgba(0,0,0,0.15);
    padding-top: 100px
}

    .pollSlider h3 {
        margin-top: 0
    }

#pollSlider-button {
    z-index: 1000;
    position: fixed;
    width: 50px;
    height: 50px;
    right: 0px;
    background: #444;
    top: calc(50% + 15px);
    border-radius: 30px 0 0 30px;
    color: #FFF;
    cursor: pointer;
    text-align: center;
    font-size: 24px;
    padding-top: 15px
}

.pollSlider .ui.form .field > label {
    color: #fff;
    font-weight: 500
}

.angle.double.right {
    animation: moveRightToLeft 2s 3s infinite linear;
}

@keyframes moveRightToLeft {
    0% {
        transform: translate(0, 0);
    }

    30% {
        transform: translate(7px, 0);
    }

    60% {
        transform: translate(0px, 0);
    }

    100% {
        transform: translate(0px, 0);
    }
}

.pollSliderLeft-RetButton {
    z-index: 1000;
    position: fixed;
    height: 50px;
    background: #444;
    width: 100px;
    left: 0px;
    bottom: 370px;
    margin-left: -100px;
    box-shadow: 3px 0 7px rgba(0,0,0,0.15);
    border-radius: 0 30px 30px 0;
    color: #fff;
    line-height: 50px;
    text-align: center;
    font-size: 15px;
    font-weight: 600;
    cursor: pointer
}

    .pollSliderLeft-RetButton span {
        padding: 0 10px;
        display: block
    }

    .pollSliderLeft-RetButton i {
        float: left;
        margin-right: 0
    }

.pollSliderLeft {
    z-index: 1000;
    position: fixed;
    height: 350px;
    background: #FFF;
    width: 400px;
    left: 0px;
    bottom: 0;
    margin-left: -400px;
    box-shadow: -3px 0 7px rgba(0,0,0,0.15);
    direction: rtl;
    font-size: 14px;
    line-height: 180%
}

    .pollSliderLeft ul li {
        margin-bottom: 10px
    }

#pollSlider-button-left {
    z-index: 1000;
    position: fixed;
    width: 50px;
    height: 50px;
    left: 0px;
    background: #0066cc;
    bottom: 300px;
    border-radius: 0 30px 30px 0;
    color: #FFF;
    cursor: pointer;
    text-align: center;
    font-size: 24px;
    padding-top: 9px;
}



#pollSlider-button i {
    margin-right: 0;
    line-height: 0
}

#MapMoreFilter {
    direction: rtl
}

#MapMoreLink {
    display: block;
    text-align: center;
    color: #333
}

/* Map Search Result Style */
#con {
    text-align: right;
    direction: rtl
}

#ResultTitle {
    margin: 10px 0;
    direction: rtl;
    padding: 0 20px
}

#ResultTitleCount {
    margin-right: 10px;
    direction: rtl;
    font-size: 12px;
    font-weight: 500
}

.map-result-row {
    border: 1px #c7c7c7 solid;
    margin-bottom: 10px;
    direction: rtl;
    position: relative
}

.map-result-pic {
    padding-left: 0
}

    .map-result-pic img {
        max-width: 100%;
        height: 100px !important;
        width: 110px !important;
    }

.map-result-info {
    color: #333;
    padding-top: 10px;
    position: inherit;
    font-size: 12px;
    font-weight: 400;
    padding-right: 10px
}

    .map-result-info div {
        margin-bottom: 10px;
        line-height: 100%;
    }

        .map-result-info div:last-child {
            margin-bottom: 0
        }

    .map-result-info a.map-more-link {
        color: #fff;
        background: #ea2e2e;
        position: absolute;
        bottom: 0px;
        left: 0px;
        padding: 3px 12px 5px 8px;
        border-top-right-radius: 15px;
        line-height: 100%;
    }

    .map-result-info span.map-divider {
        color: #D4D4D4;
        margin: 0 3px;
        font-size: 11px;
        text-align: center;
        padding: 0 5px;
    }

    .map-result-info .map-property-row {
        font-weight: 600
    }

.map-price-row {
    font-size: 15px;
    margin-bottom: 5px !important;
}

    .map-price-row small {
        font-size: 11px;
    }

        .map-price-row small:last-child {
            color: #666
        }

.map-no-result {
    font-size: 14px
}

/* Map Pin Style */
.gps_ring {
    border: 3px solid #ea2e2e;
    -webkit-border-radius: 100px;
    height: 30px;
    width: 30px;
    -webkit-animation: pulsate 1s ease-out;
    -webkit-animation-iteration-count: infinite;
    z-index: -1000;
    /*opacity: 0.0*/
}


.css-icon {
    z-index: -1000;
}

@-webkit-keyframes pulsate {
    0% {
        -webkit-transform: scale(0.1, 0.1);
        opacity: 0.0;
    }

    50% {
        opacity: 1.0;
    }

    100% {
        -webkit-transform: scale(1.2, 1.2);
        opacity: 0.0;
    }
}

div.circle {
    display: block;
    background: #ea2e2e;
    border: 2px #fff solid;
    box-shadow: 0 0 3px rgba(0,0,0,0.15);
    border-radius: 100%;
    height: 18px;
    width: 18px;
    margin: 0;
}

.ball {
    /*font-family: iranyekan;*/
    text-align: center;
    display: inline-block;
    width: 100%;
    height: 100%;
    border-radius: 100%;
    position: relative;
    padding-top: 25%;
    color: #fff;
    font-size: 14px;
    background: rgba(234,46,46,0.95);
    box-shadow: 0 0 5px rgba(234,46,46,0.35);
    direction: rtl
}

    .ball small {
        display: inline-block;
        margin: 0 1px
    }

    .ball.bubble {
        -webkit-animation: bubble-anim 2s ease-out infinite;
        animation: bubble-anim 2s ease-out infinite;
    }

/*.ball:before {
        content: "";
        position: absolute;
        top: 1%;
        left: 5%;
        width: 90%;
        height: 90%;
        border-radius: 100%;
        background: radial-gradient(circle at top, white, rgba(255, 255, 255, 0) 58%);
        -webkit-filter: blur(5px);
        filter: blur(5px);
        z-index: 2;
    }

    .ball:after {
        content: "";
        position: absolute;
        display: none;
        top: 5%;
        left: 10%;
        width: 80%;
        height: 80%;
        border-radius: 100%;
        -webkit-filter: blur(1px);
        filter: blur(1px);
        z-index: 2;
        -webkit-transform: rotateZ(-30deg);
        transform: rotateZ(-30deg);
    }

    .ball .shadow {
        position: absolute;
        width: 100%;
        height: 100%;
        background: radial-gradient(circle, rgba(0, 0, 0, 0.4), rgba(0, 0, 0, 0.1) 40%, rgba(0, 0, 0, 0) 50%);
        -webkit-transform: rotateX(90deg) translateZ(-160px);
        transform: rotateX(90deg) translateZ(-160px);
        z-index: 1;
    }

    .ball.plain {
        background: black;
    }

        .ball.plain:before, .ball.plain:after {
            display: none;
        }

    .ball.bubble {
        background: radial-gradient(circle at 50% 55%, rgba(240, 245, 255, 0.9), rgba(240, 245, 255, 0.9) 40%, rgba(225, 238, 255, 0.8) 60%, rgba(43, 130, 255, 0.4));
        -webkit-animation: bubble-anim 2s ease-out infinite;
        animation: bubble-anim 2s ease-out infinite;
    }

        .ball.bubble:before {
            -webkit-filter: blur(0);
            filter: blur(0);
            height: 80%;
            width: 40%;
            background: radial-gradient(circle at 130% 130%, rgba(255, 255, 255, 0) 0, rgba(255, 255, 255, 0) 46%, rgba(255, 255, 255, 0.8) 50%, rgba(255, 255, 255, 0.8) 58%, rgba(255, 255, 255, 0) 60%, rgba(255, 255, 255, 0) 100%);
            -webkit-transform: translateX(131%) translateY(58%) rotateZ(168deg) rotateX(10deg);
            transform: translateX(131%) translateY(58%) rotateZ(168deg) rotateX(10deg);
        }

        .ball.bubble:after {
            display: block;
            background: radial-gradient(circle at 50% 80%, rgba(255, 255, 255, 0), rgba(255, 255, 255, 0) 74%, white 80%, white 84%, rgba(255, 255, 255, 0) 100%);
        }*/

.stage {
    width: 40px;
    height: 40px;
    display: inline-block;
    margin: 20px;
    -webkit-perspective: 1200px;
    -moz-perspective: 1200px;
    -ms-perspective: 1200px;
    -o-perspective: 1200px;
    perspective: 1200px;
    -webkit-perspective-origin: 50% 50%;
    -moz-perspective-origin: 50% 50%;
    -ms-perspective-origin: 50% 50%;
    -o-perspective-origin: 50% 50%;
    perspective-origin: 50% 50%;
}



@-webkit-keyframes bubble-anim {
    0% {
        -webkit-transform: scale(1);
        transform: scale(1);
    }

    20% {
        -webkit-transform: scaleY(0.95) scaleX(1.05);
        transform: scaleY(0.95) scaleX(1.05);
    }

    48% {
        -webkit-transform: scaleY(1.1) scaleX(0.9);
        transform: scaleY(1.1) scaleX(0.9);
    }

    68% {
        -webkit-transform: scaleY(0.98) scaleX(1.02);
        transform: scaleY(0.98) scaleX(1.02);
    }

    80% {
        -webkit-transform: scaleY(1.02) scaleX(0.98);
        transform: scaleY(1.02) scaleX(0.98);
    }

    97%, 100% {
        -webkit-transform: scale(1);
        transform: scale(1);
    }
}

@keyframes bubble-anim {
    0% {
        -webkit-transform: scale(1);
        transform: scale(1);
    }

    20% {
        -webkit-transform: scaleY(0.95) scaleX(1.05);
        transform: scaleY(0.95) scaleX(1.05);
    }

    48% {
        -webkit-transform: scaleY(1.1) scaleX(0.9);
        transform: scaleY(1.1) scaleX(0.9);
    }

    68% {
        -webkit-transform: scaleY(0.98) scaleX(1.02);
        transform: scaleY(0.98) scaleX(1.02);
    }

    80% {
        -webkit-transform: scaleY(1.02) scaleX(0.98);
        transform: scaleY(1.02) scaleX(0.98);
    }

    97%, 100% {
        -webkit-transform: scale(1);
        transform: scale(1);
    }
}



.leaflet-marker-icon,
.leaflet-marker-shadow {
    -webkit-animation: fadein 2s; /* Safari, Chrome and Opera > 12.1 */
    -moz-animation: fadein 2s; /* Firefox < 16 */
    -ms-animation: fadein 2s; /* Internet Explorer */
    -o-animation: fadein 2s; /* Opera < 12.1 */
    animation: fadein 2s;
}

@keyframes fadein {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}

/* Firefox < 16 */
@-moz-keyframes fadein {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}

/* Safari, Chrome and Opera > 12.1 */
@-webkit-keyframes fadein {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}

/* Internet Explorer */
@-ms-keyframes fadein {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}

/* Opera < 12.1 */
@-o-keyframes fadein {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}

@media(max-width:767px) {
    .pollSlider {
        width: 250px;
        margin-right: -250px
    }

    .help.icon {
        display: block;
    }

    .pollSliderLeft {
        height: 350px;
        width: 270px;
        margin-left: -270px;
        font-size: 12px;
        line-height: 150%;
    }

    #mapid {
        min-height: 100%;
    }

    #pollSlider-button-left {
        width: 40px
    }

    .map-result-pic img {
        max-width: 100%;
        height: 120px !important;
        width: 208px !important;
    }
}


/*mobile view*/

.pollSliderLeft-mob {
    z-index: 1000;
    position: fixed;
    height: 400px;
    background: #FFF;
    width: 100%;
    left: 0px;
    bottom: 0px;
    display: none;
    box-shadow: -3px 0 7px rgba(0,0,0,0.15);
    direction: rtl;
    font-size: 14px;
    line-height: 180%
}


.pollSlider-mob {
    z-index: 1000;
    position: fixed;
    height: 100%;
    background: #FFF;
    width: 100%;
    right: 0px;
    top: 0;
    bottom: 0px;
    display: none;
    overflow-y: auto;
    overflow-x: hidden;
    box-shadow: -3px 0 7px rgba(0,0,0,0.15);
    direction: rtl;
}

.map-result-pic-mob img {
    width: 100%;
    height: 120px !important;
}

.bottom-bar-mob {
    z-index: 2000;
    position: fixed;
    height: 70px;
    background: #FFF;
    width: 100%;
    padding-top: 5px;
    padding-left: 15px;
    padding-right: 15px;
    bottom: 0px;
    margin-bottom: -70px;
    /*overflow-y: auto;
    overflow-x: hidden;*/
    box-shadow: -3px 0 7px rgba(0,0,0,0.15);
    direction: rtl;
}

.pollSliderLeft-RetButton-mob {
    z-index: 2000;
    height: 45px;
    background: #444;
    width: 100%;
    box-shadow: 3px 0 7px rgba(0,0,0,0.15);
    border-radius: 30px 30px 30px 30px;
    color: #fff;
    line-height: 50px;
    text-align: center;
    font-size: 15px;
    font-weight: 600;
    cursor: pointer
}

#help-button-mob {
    z-index: 2000;
    position: fixed;
    width: 50px;
    height: 50px;
    left: 0px;
    background: #444;
    top: calc(50% + 15px);
    border-radius: 0px 30px 30px 0px;
    color: #FFF;
    cursor: pointer;
    text-align: center;
    font-size: 24px;
    padding-top: 9px
}
